/*
 * lib.js
 *
 * Copyright 2014, 2015 the Widget Blocker extension copyright holders.
 * See the COPYRIGHT file at the top-level directory of this distribution for a
 * list of copyright holders and how to contact them.
 */

/*
 * This file is part of the Widget Blocker extension for GNOME Shell.
 *
 * Widget Blocker is free software: you are free to use, modify and/or
 * redistribute it for any purpose according to the terms of the LICENSE file
 * found in the top-level directory of this distribution.
 *
 * This program is distributed in the hope that it will be useful, WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the aforementioned LICENSE file for more details.
 */

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const Convenience = Me.imports.convenience;

let settings = Convenience.getSettings();

function set_actor_status(index, character) {
    let statuses = settings.get_string('blacklisted-actors-statuses');
    let new_statuses = statuses.match(/[^;]+|[;]/g);
    new_statuses[2 * index] = character;
    new_statuses = new_statuses.toString().replace(/[,]/g, '');
    settings.set_string('blacklisted-actors-statuses', new_statuses);
}

function set_actor_error_status(index, character) {
    let error_statuses = settings.get_string('blacklisted-actors-error-statuses');
    let new_error_statuses = error_statuses.match(/[^;]+|[;]/g);
    new_error_statuses[2 * index] = character;
    new_error_statuses = new_error_statuses.toString().replace(/[,]/g, '');
    settings.set_string('blacklisted-actors-error-statuses', new_error_statuses);
}
